Debian Bug report logs - #462937
debhelper: recode manual pages to UTF-8

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Colin Watson <cjwatson@debian.org>

Date: Mon, 28 Jan 2008 12:03:02 UTC

Severity: wishlist

Tags: patch

Found in version debhelper/6.0.4

Fixed in version debhelper/6.0.5

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#462937; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: submit@bugs.debian.org
Subject: debhelper: recode manual pages to UTF-8
Date: Mon, 28 Jan 2008 12:01:03 +0000
[Message part 1 (text/plain, inline)]
Package: debhelper
Version: 6.0.4
Severity: wishlist

I uploaded man-db 2.5.1-1 to incoming this morning, so I think we can
now proceed with the plan we discussed a while back:

  http://lists.debian.org/debian-i18n/2007/10/msg00063.html

I've attached a patch against git HEAD that recodes all manual pages to
UTF-8 on installation. I've tested this with debconf and it seems to be
doing the right thing. I suspect a small number of packages that have
inconsistently-encoded manual pages will fail to build as a result of
this, but I believe that these are rather few and I contend that they
were buggy anyway (as man would fail to display those pages).

The reason for the slightly baroque installation method (install file,
man --recode to .new, mv back) is that this allows man to guess the
encoding based on the installation directory.

Note that the original (non-.UTF-8) installation directories are
retained, per the latest discussion in #440420.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]
[debhelper.man-utf-8.diff (text/x-diff, attachment)]

Tags added: patch Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 28 Jan 2008 12:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#462937; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 462937@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Colin Watson <cjwatson@debian.org>, 462937@bugs.debian.org
Subject: Re: Bug#462937: debhelper: recode manual pages to UTF-8
Date: Mon, 28 Jan 2008 13:09:33 -0500
[Message part 1 (text/plain, inline)]
Colin Watson wrote:
> +			complex_doit "zcat \Q$page\E > \Q$instpage\E";

\Q\E don't work in doublequoted strings, AFAIK.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#462937; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #17 received at 462937@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 462937@bugs.debian.org
Subject: Re: Bug#462937: debhelper: recode manual pages to UTF-8
Date: Mon, 28 Jan 2008 18:42:13 +0000
On Mon, Jan 28, 2008 at 01:09:33PM -0500, Joey Hess wrote:
> Colin Watson wrote:
> > +			complex_doit "zcat \Q$page\E > \Q$instpage\E";
> 
> \Q\E don't work in doublequoted strings, AFAIK.

  $ perl -le 'print "\Qfoo(bar)\E"'
  foo\(bar\)

(See perlop(1), "Interpolation".)

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]




Tags added: pending Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 28 Jan 2008 22:00:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 462937-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 462937-close@bugs.debian.org
Subject: Bug#462937: fixed in debhelper 6.0.5
Date: Sat, 02 Feb 2008 03:02:02 +0000
Source: debhelper
Source-Version: 6.0.5

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_6.0.5.dsc
  to pool/main/d/debhelper/debhelper_6.0.5.dsc
debhelper_6.0.5.tar.gz
  to pool/main/d/debhelper/debhelper_6.0.5.tar.gz
debhelper_6.0.5_all.deb
  to pool/main/d/debhelper/debhelper_6.0.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462937@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Jan 2008 16:43:10 -0500
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 6.0.5
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 462937
Changes: 
 debhelper (6.0.5) unstable; urgency=low
 .
   * dh_installman: Recode all man pages to utf-8 on installation.
     Closes: #462937 (Colin Watson)
   * Depend on a new enough version of man-db.
Files: 
 3be2c316ec9539f15a7fa9fa56e129ee 616 devel optional debhelper_6.0.5.dsc
 3d3b4969c9c77610f33e9c1151c56347 278552 devel optional debhelper_6.0.5.tar.gz
 1a528ae52d2646a7098ef2951f0326b4 519118 devel optional debhelper_6.0.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHo9la2tp5zXiKP0wRAuLSAJ9ZxqbGz29TbJHpyBqICXAJwZfXKwCfZCar
wBIaJQCgkjCJ8gDBLfzXGPM=
=S2vo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Mar 2008 07:27:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:07:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.